<?php

// +---------------------------------------------------------------------------+
// | zClassified Ads for Geeklog                                               |
// +---------------------------------------------------------------------------+
// | admin/index.php                                                           |
// | Administration page.                                                      |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

require_once('../../../lib-common.php');
include_once('../../auth.inc.php');

// Only let admin users access this page
if (!SEC_hasRights('advt.admin')) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the advt Admin page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    echo COM_siteHeader();
    echo COM_startBlock($LANG_ADVT['access_denied']);
    echo $LANG_ADVT['access_denied_msg'];
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
    exit;
}

/**
* Main
*/


echo COM_siteHeader();
$T = new Template($_CONF['path'] . 'plugins/advt/templates/admin');
$T->set_file('admin', 'index.thtml');
$T->set_var('site_url',$_CONF['site_url']);
$T->set_var('site_admin_url', $_CONF['site_admin_url']);
$T->set_var('header', $LANG_ADVT['admin']);
$T->set_var('plugin','advt');
//
$T->set_var('cats_ads', $LANG_ADVT['categories_ads']);
$T->set_var('ads_submission', $LANG_ADVT['ads_submission']);
$T->set_var('mail_users', $LANG_ADVT['mail_users']);
$T->set_var('home', $LANG_ADVT['home']);

$T->parse('output','admin');
echo $T->finish($T->get_var('output'));
echo COM_siteFooter(true);

//echo $display;

?>