<?php
	require_once('../../../lib-common.php');
	include_once('../../auth.inc.php');
// Only let admin users access this page
if (!SEC_hasRights('advt.admin')) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the advt Admin page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    echo COM_siteHeader();
    echo COM_startBlock($LANG_PL00['access_denied']);
    echo $LANG_PL00['access_denied_msg'];
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
    exit;
}

echo COM_siteHeader();
$T = new Template($_CONF['path'] . 'plugins/advt/templates');
$T->set_file('admin', 'admin.thtml');
$T->set_var('site_url',$_CONF['site_url']);
$T->set_var('site_admin_url', $_CONF['site_admin_url']);
$T->set_var('header', $LANG_ADVT['admin']);
$T->set_var('plugin','advt');

	if( isset( $action ) )
	{
		if( $action == "mail" )
		{
			$subject = trim( $subject );
			$message = trim( $message );
			if( $subject == "" ) error( "Subject required" );
			if( $message == "" ) error( "Message required" );
			$pass = 0;
			$fail = 0;
			dbConnect();
			$result = mysql_query( "SELECT email, user_name FROM user" ) or error( mysql_error() );
			while( $row = mysql_fetch_array( $result ) )
			{
				$newMessage = "<pre>Hello, {$row['user_name']}\n\n" . $message . "\n\n";
				$newMessage .= "$ADVT_NAME\n";
				$newMessage .= "Please visit us <a href=\"{$ADVT_URL}/index.php\">{$ADVT_URL}/index.php</a></pre>";
				$mailResult = sentMail( "$ADVT_NAME <$ADMIN_EMAIL>", $row['email'], $subject, $newMessage );
				if( !$mailResult )
				{
					$fail += 1;
					$failEmail[] = $row['email'];
				}
				else
				{
					$pass += 1;
					$passEmail[] = $row['email'];
				}
				$newMessage = "";
			}
			displayHeader( "Mailing List Result" );
			echo "<p align=\"center\"><font size=\"4\">Mailing List Result</font></p>\n";
			echo "<div align=\"center\">\n";
			echo "  <center>\n";
			echo "  <table border=\"0\" width=\"400\" cellspacing=\"0\" cellpadding=\"0\">\n";
			echo "    <tr>\n";
			echo "      <td width=\"100%\" height=\"30\"><b>($pass)</b> mails have been sucessuflly sent.</td>\n";
			echo "    </tr>\n";
			echo "    <tr>\n";
			echo "      <td width=\"100%\">\n";
			for( $i = 0; $i < count( $passEmail ); $i++ )
			{
				echo "      <li><a href=\"mailto:$passEmail[$i]\">$passEmail[$i]</a></li>\n";
			}
			echo "      </td>\n";
			echo "    </tr>\n";
			echo "    <tr>\n";
			echo "      <td width=\"100%\" height=\"30\"><b>($fail)</b> mails have fail to sent.</td>\n";
			echo "    </tr>\n";
			echo "    <tr>\n";
			echo "      <td width=\"100%\">\n";
			for( $i = 0; $i < count( $failEmail ); $i++ )
			{
				echo "      <li><a href=\"mailto:$failEmail[$i]\">$failEmail[$i]</a></li>\n";
			}
			echo "      </td>\n";
			echo "    </tr>\n";
			echo "  </table>\n";
			echo "  </center>\n";
			echo "</div>\n";
			echo "<p align=\"center\"><a href=\"admin.php?action=logout\"><b>Logout</b></a> | <a href=\"admin_menu.php\"><b>Back to Admin</b></a></p>\n";
			displayFooter();
		}
	}
	else
	{
		displayHeader( "Mailing List" );

		echo "<p align=\"center\"><font size=\"4\">Mailing List</font></p>\n";
		echo "<div align=\"center\">\n";
		echo "  <center>\n";
		echo "  <table border=\"0\" width=\"400\" cellspacing=\"0\" cellpadding=\"0\">\n";
		echo "  <form method=\"post\" action=\"$PHP_SELF?action=mail\">\n";
		echo "    <tr>\n";
		echo "      <td width=\"100%\" height=\"30\"><b>Subject:</b></td>\n";
		echo "    </tr>\n";
		echo "    <tr>\n";
		echo "      <td width=\"100%\" height=\"30\"><input type=\"text\" name=\"subject\" size=\"50\" maxlength=\"200\"></td>\n";
		echo "    </tr>\n";
		echo "    <tr>\n";
		echo "      <td width=\"100%\" height=\"30\"><b>Message:</b></td>\n";
		echo "    </tr>\n";
		echo "    <tr>\n";
		echo "      <td width=\"100%\"><textarea rows=\"15\" name=\"message\" cols=\"50\"></textarea></td>\n";
		echo "    </tr>\n";
		echo "    <tr>\n";
		echo "      <td width=\"100%\" height=\"30\"><input type=\"submit\" value=\"  Sent Information  \"><input type=\"reset\" value=\"  Clear  \"></td>\n";
		echo "    </tr>\n";
		echo "  </form>\n";
		echo "  </table>\n";
		echo "  </center>\n";
		echo "</div>\n";
		echo "<p align=\"center\"><a href=\"admin.php?action=logout\"><b>Logout</b></a> | <a href=\"admin_menu.php\"><b>Back to Admin</b></a></p>\n";
//		displayFooter();
	}



?>