<?php

// +---------------------------------------------------------------------------+
// | zClassified Ads for Geeklog                                               |
// +---------------------------------------------------------------------------+
// | admin/modify.php                                                          |
// | Administration page.                                                      |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// +---------------------------------------------------------------------------+
// | Replace all advt with the name of your plugin and you have a skeletal |
// | admin page.                                                               |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

require_once('../../../lib-common.php');
require($_CONF['path'] . 'plugins/advt/config.php');
require_once($_CONF['path'] . 'plugins/advt/functions.inc');

// Only let admin users access this page
if (!SEC_hasRights('advt.admin')) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the advt Admin page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    echo COM_siteHeader();
    echo COM_startBlock($LANG_ADVT['access_denied']);
    echo $LANG_ADVT['access_denied_msg'];
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
    exit;
}

/**
* Main
*/


echo COM_siteHeader();

// put your code here
	if( isset( $cat ) )
	{
		$result = DB_query( "SELECT cat_name, root_id FROM {$_TABLES['ad_category']} WHERE papa_id=$cat" ) or error( mysql_error() );
		if( DB_numRows( $result ) != 0 )
		{
//Template
$modify = new Template($_CONF['path'] . 'plugins/advt/templates/admin');
$modify->set_file('modify', 'modify.thtml');
$modify->set_var('site_url',$_CONF['site_url']);
$modify->set_var('site_admin_url', $_CONF['site_admin_url']);

$modify->set_var('categories_ads', $LANG_ADVT[categories_ads]);
$modify->set_var('cat', $cat);
$modify->set_var('enter_cat', $LANG_ADVT['enter_cat']);
$modify->set_var('define_fields', $LANG_ADVT['define_fields']);
$modify->set_var('disabled', $LANG_ADVT['disabled']);
$modify->set_var('enabled', $LANG_ADVT['enabled']);
$modify->set_var('fields_hint', $LANG_ADVT['fields_hint']);
$modify->set_var('add_cat', $LANG_ADVT['add_cat']);


$modify->parse('output','modify');
echo $modify->finish($modify->get_var('output'));


//Template


			echo "\n<div align=\"center\">\n";
			echo "  <center>\n";
			echo "  <table border=\"0\" cellpaddig=\"0\" cellspacing=\"0\" width=\"100%\">\n";
			echo "    <tr>\n";
			echo "      <td height=\"20\">\n";
			displayLocation( $cat ) . "\n";
			echo "      </td>\n";
			echo "    </tr>\n";
			echo "  </table>\n";
			echo "  </center>\n";
			echo "</div>\n";
			echo "<div align=\"center\">\n";
			echo "  <center>\n";
			echo "  <table border=\"0\" cellpaddig=\"0\" cellspacing=\"0\" width=\"100%\">\n";
			echo "    <form method=\"post\" action=\"modify_action.php?action=delcat&catid=$cat\">\n";
			echo "    <tr>\n";
			echo "      <td>\n";
			while( $row = DB_fetchArray( $result ) )
				echo "      <input type=\"checkbox\" name=\"c[]\" value=\"{$row['root_id']}\"><a href=\"$PHP_SELF?cat={$row['root_id']}\">{$row['cat_name']}</a>(" . findTotalAds( $row['root_id'] ) . ")<br>\n";
			echo "      </td>\n";
			echo "    </tr>\n";
			echo "    <tr>\n";
			echo "      <td align=\"center\" width=\"100%\" height=\"20\" colspan=\"5\"><input type=\"submit\" value=\"  $LANG_ADVT[del_sel_cat]  \"></td>\n";
//editcat button
//			echo "      <td align=\"center\" width=\"100%\" height=\"20\" colspan=\"5\"><input type=\"submit\" value=\"  $LANG_ADVT[del_sel_cat]  \"></td>\n";
//editcat button
			echo "    </tr>\n";
			echo "  </form>\n";
			echo "  </table>\n";
			echo "  </center>\n";
			echo "</div>\n";
		}
		else
		{
			$time = time();
			$maxAds = 10;
			$result = DB_query( "SELECT cat_id FROM {$_TABLES['ad_ads']} WHERE cat_id=$cat AND exp_date>$time " ) or error( mysql_error() );
			$totalAds = DB_numRows( $result );
			if( $totalAds <= $maxAds ) $totalPages = 1;
			elseif( $totalAds % $maxAds == 0 ) $totalPages = $totalAds / $maxAds;
			else $totalPages = ceil( $totalAds / $maxAds );
			if( !isset( $page ) ) $page = 1;
			elseif( $page > $totalPages ) $page = 1;
			if( $totalAds == 0 ) $adsStart = 0;
			else $adsStart = $maxAds * $page - $maxAds + 1;
			if( $page == $totalPages ) $adsEnd = $totalAds;
			else $adsEnd = $maxAds * $page;
			$prePage = $page - 1;
			$nextPage = $page + 1;
			$initAds = $maxAds * $page - $maxAds;

			$result = DB_query( "SELECT * FROM {$_TABLES['ad_ads']} WHERE cat_id=$cat AND exp_date>$time ORDER BY add_date DESC LIMIT $initAds, $maxAds" );

//			displayHeader( "$ADVT_NAME > " . displayLocationNoLink( $cat ) );

			if( $totalAds != 0 )
			{
				echo "\n<div align=\"center\">\n";
				echo "  <center>\n";
				echo "  <table border=\"0\" cellpaddig=\"0\" cellspacing=\"0\" width=\"100%\" height=\"20\">\n";
				echo "    <tr>\n";
				echo "      <td>\n";
				displayLocation( $cat ) . "\n";
				echo "      </td>\n";
				echo "    </tr>\n";
				echo "  </table>\n";
				echo "  </center>\n";
				echo "</div>\n";
				echo "<div align=\"center\">\n";
				echo "  <center>\n";
				echo "  <table border=\"0\" cellpaddig=\"0\" cellspacing=\"0\" width=\"100%\">\n";
				echo "  <form method=\"post\" action=\"modify_action.php?action=delad&catid=$cat\">\n";
				echo "    <tr class=\"frame\">\n";
				echo "      <td width=\"30\" height=\"25\" align=\"left\"><font color=\"#FFFFFF\"><b>#</b></font></td>\n";
				echo "      <td width=\"440\" height=\"25\" align=\"left\"><font color=\"#FFFFFF\"><b>$LANG_ADVT[subject]</b></font></td>\n";
				echo "      <td width=\"80\" height=\"25\" align=\"center\"><font color=\"#FFFFFF\"><b>$LANG_ADVT[added_on]</b></font></td>\n";
				echo "      <td width=\"75\" height=\"25\" align=\"center\"><font color=\"#FFFFFF\"><b>$LANG_ADVT[photo]</b></font></td>\n";
				echo "      <td width=\"75\" height=\"25\" align=\"center\"><font color=\"#FFFFFF\"><b>$LANG_ADVT[detail]</b></font></td>\n";
				echo "    </tr>\n";
				echo "    <tr>\n";
				echo "      <td width=\"100%\" height=\"1\" colspan=\"5\" bgcolor=\"#FFFFFF\"></td>\n";
				echo "    </tr>\n";
				if( $totalAds == 0 )
				{
					echo "    <tr>\n";
					echo "      <td width=\"100%\" height=\"25\" colspan=\"5\" align=\"center\"><b>$LANG_ADVT[no_ads_listed_cat]</b>\n";
					echo "    </tr>\n";
				}
				$i = $adsStart;
				while( $row = DB_fetchArray( $result ) )
				{
					echo "    <tr class=\"detail\">\n";
					echo "      <td height=\"25\" align=\"left\"><input type=\"checkbox\" name=\"c[]\" value=\"{$row['ad_id']}\">{$i}.</td>\n";
					echo "      <td height=\"25\">" . substr( $row['subject'], 0, 50 );
					if( strlen( $row['subject'] ) > 50 ) echo "... ...";
					echo "</td>\n";
					echo "      <td height=\"25\" align=\"center\"><small>" . date( "m/d/y h:i", $row['add_date'] ) . "</small></td>\n";
					echo "      <td height=\"25\" align=\"center\">";
					$photo = DB_query( "SELECT photo_id FROM {$_TABLES['ad_photo']} WHERE ad_id={$row['ad_id']}" ) or error( mysql_error() );
					if( DB_numRows( $photo ) >= 1 ) echo "Yes";
					else echo "No";
					echo "</td>\n";
					echo "      <td height=\"25\" align=\"center\"><a href=\"detail.php?cat=$cat&de={$row['ad_id']}\">$LANG_ADVT[detail]</a></td>\n";
					echo "    </tr>\n";
					echo "    <tr>\n";
					echo "      <td></td>\n";
					echo "      <td colspan=\"4\">" . substr( $row['descript'], 0, 300 );
					if( strlen( $row['descript'] ) > 300 ) echo "... ...";
					echo "</td>\n";
					echo "    </tr>\n";
					echo "    <tr>\n";
					echo "      <td colspan=\"5\" align=\"right\"><a href=\"detail.php?cat=$cat&de={$row['ad_id']}\"><small>$LANG_ADVT[more]</small></a></td>\n";
					echo "    </tr>\n";
					$i++;
				}
				echo "    <tr>\n";
				echo "      <td width=\"100%\" height=\"1\" colspan=\"5\" bgcolor=\"#808080\"></td>\n";
				echo "    </tr>\n";
				echo "    <tr>\n";
				echo "      <td width=\"100%\" height=\"20\" colspan=\"5\"><input type=\"submit\" value=\"  $LANG_ADVT[del_sel_ads]  \"></td>\n";
				echo "    </tr>\n";
				echo "    <tr>\n";
				echo "      <td width=\"100%\" height=\"20\" colspan=\"5\"><small>$LANG_ADVT[found] <b>$totalAds</b> listings, now displaying <b>$adsStart</b> - <b>$adsEnd</b></small></td>\n";
				echo "    </tr>\n";
				echo "  </form>\n";
				echo "  </table>\n";
				echo "  </center>\n";
				echo "</div>\n";
				echo "<p align=\"center\">";
				if( $page != 1 ) echo "<a href=\"$PHP_SELF?cat=$cat&page=$prePage\">&lt;&lt;</a> ";
				for( $i = 1; $i <= $totalPages; $i++ )
				{
					if( $page == $i ) echo "<b>$i</b> ";
					else echo "<a href=\"$PHP_SELF?cat=$cat&page=$i\">$i</a> ";
				}
				if( $page != $totalPages ) echo " <a href=\"$PHP_SELF?cat=$cat&page=$nextPage\">&gt;&gt;</a>";
				echo "</p>\n";
			}
			else
			{

				
		//Template
$modify = new Template($_CONF['path'] . 'plugins/advt/templates/admin');
$modify->set_file('modify', 'modify.thtml');
$modify->set_var('site_url',$_CONF['site_url']);
$modify->set_var('site_admin_url', $_CONF['site_admin_url']);

$modify->set_var('categories_ads', $LANG_ADVT[categories_ads]);
$modify->set_var('cat', $cat);
$modify->set_var('enter_cat', $LANG_ADVT['enter_cat']);
$modify->set_var('define_fields', $LANG_ADVT['define_fields']);
$modify->set_var('disabled', $LANG_ADVT['disabled']);
$modify->set_var('enabled', $LANG_ADVT['enabled']);
$modify->set_var('fields_hint', $LANG_ADVT['fields_hint']);
$modify->set_var('add_cat', $LANG_ADVT['add_cat']);


$modify->parse('output','modify');
echo $modify->finish($modify->get_var('output'));


//Template
		
				
				
				echo "<div align=\"center\">\n";
				echo "  <center>\n";
				echo "  <table border=\"0\" cellpaddig=\"0\" cellspacing=\"0\" width=\"100%\">\n";
				echo "    <tr>\n";
				echo "      <td height=\"20\">\n";
				displayLocation( $cat ) . "\n";
				echo "      </td>\n";
				echo "    </tr>\n";
				echo "  </table>\n";
				echo "  </center>\n";
				echo "</div>\n";
			}
		}
	}
	else
	{
		$cats = DB_query( "SELECT cat_name, root_id FROM {$_TABLES['ad_category']} WHERE papa_id='' ORDER BY cat_name ASC" ) or error( mysql_error() );
		displayHeader( $ADVT_NAME );

//Template

$modify = new Template($_CONF['path'] . 'plugins/advt/templates/admin');
$modify->set_file('modify', 'modify01.thtml');
$modify->set_var('site_url',$_CONF['site_url']);
$modify->set_var('site_admin_url', $_CONF['site_admin_url']);

$modify->set_var('categories_ads', $LANG_ADVT[categories_ads]);
$modify->set_var('cat', $cat);
$modify->set_var('enter_cat', $LANG_ADVT['enter_cat']);
$modify->set_var('define_fields', $LANG_ADVT['define_fields']);
$modify->set_var('disabled', $LANG_ADVT['disabled']);
$modify->set_var('enabled', $LANG_ADVT['enabled']);
$modify->set_var('fields_hint', $LANG_ADVT['fields_hint']);
$modify->set_var('add_cat', $LANG_ADVT['add_cat']);


$modify->parse('output','modify');
echo $modify->finish($modify->get_var('output'));



//Template


		if( DB_numRows( $cats ) == 0 )
			echo "<p align=\"center\"><b>$LANG_ADVT[no_cat_found]</b></p>\n";
		else
		{
			echo "\n<div align=\"center\">\n";
			echo "  <center>\n";
			echo "  <table border=\"0\" cellpaddig=\"0\" cellspacing=\"0\" width=\"100%\">\n";
			echo "    <form method=\"post\" action=\"modify_action.php?action=delcat\">\n";
			$i = 1;
			while( $catsrow = DB_fetchArray( $cats ) )
			{
				$subcats = DB_query( "SELECT cat_name, root_id, add_date FROM {$_TABLES['ad_category']} WHERE papa_id={$catsrow['root_id']}" ) or error( mysql_error() );
				echo $i % 2 == 1 ? "    <tr>\n" : "";
				echo "      <td width=\"50%\">";
				echo "<input type=\"checkbox\" name=\"c[]\" value=\"{$catsrow['root_id']}\"><a href=\"$PHP_SELF?cat={$catsrow['root_id']}\"><b>{$catsrow['cat_name']}</b></a>(" . findTotalAds( $catsrow['root_id'] ) . ")<br>\n";
				$num = DB_numRows( $subcats );
				$j = 1;
				$time = time();
				while( $subcatsrow = DB_fetchArray( $subcats ) )
				{
//					$subcatsrow['add_date'] > $time - 3600 * 24 * 3 ? $isnew = "" align=\"top\">" : $isnew = "";
					if( $num != $j )
						echo "      <a href=\"$PHP_SELF?cat={$subcatsrow['root_id']}\">{$subcatsrow['cat_name']}</a>{$isnew}, \n";
					else echo "      <a href=\"$PHP_SELF?cat={$subcatsrow['root_id']}\">{$subcatsrow['cat_name']}</a>$isnew\n";
					$j++;
				}
				echo "      <br>&nbsp;\n";
				echo "      </td>\n";
				echo $i % 2 == 0 ? "    </tr>\n" : "";
				$i++;
			}
			echo "    <tr>\n";
			echo "      <td align=\"center\" width=\"100%\" height=\"20\" colspan=\"5\"><input type=\"submit\" value=\"  $LANG_ADVT[del_sel_cat]  \"></td>\n";
			echo "    </tr>\n";
			echo "  </form>\n";
			echo "  </table>\n";
			echo "  </center>\n";
			echo "</div>\n";
		}
	}
	echo "<p align=\"center\"><a href=\"index.php\"><b>$LANG_ADVT[back_to_admin]</b></a></p>\n";
echo "<p align=\"center\"><img src=\"$IMAGE_DIR/zClassified.png\" width=\"100\" height=\"40\" border=\"0\" alt=\"$LANG_ADVT[powered]\"></p>\n";

echo COM_siteFooter(true);

echo $display;
?>