<?php
##########################################
# php eBay List 1.2
# Grab and Display your eBay auctions on your web site
# --------------------------------------------------
# Written by: Chrispian H. Burks
# email: chris@aeoninteractive.com
# website: http://www.aeoninteractive.net
# Please submit bugs to chris@aeoninteractive.com
# Special Touch by: Joseph Smith at joe@smittys.pointclark.net
#
# Thanks to all the users who sent in feedback and to everyone at
# sitepoint.com for all their help and ideas.
# --------------------------------------------------
# This software is linkware! Please leave the link back
# to Aeon Interactive. Feel free to modify this script.
# If you do, send it to me and I'll include any cool
# mods in the next release.
# --------------------------------------------------
# Changes:
#   1.2
#     - Added Sort by option (Joseph Smith)
#     - Added Display Ended Auctions On/Off option (Joseph Smith)
#     - Added Time Zone Offset (Joseph Smith)
#
#   1.1
#     - Complete Rewrite of the code. Now lean and fast (still needs caching for large lists).
#     - Changed to use serach by user rather than about user page
#
#   1.0
#     - Added Limit Option
#     - Added Thumbnails On/Off Option
#
# To Do:
#   - Add caching to speed up large lists
# --------------------------------------------------
# Install: Define your variables. Upload. Done.
#
##########################################

require_once('../../lib-common.php');
require($_CONF['path'] . 'plugins/advt/config.php');

echo COM_siteHeader();
//$T = new Template($_CONF['path'] . 'plugins/advt/templates');
//$T->set_file('page', 'index.thtml');
//$T->set_var('header', $LANG_ADVT['plugin']);
//$T->set_var('site_url',$_CONF['site_url']);
//$T->set_var('plugin','advt');

	if( !isset( $user ) ) $page = "default";
	$result2 = mysql_query( "SELECT * FROM {$_TABLES['users']} WHERE uid='{$user['uid']}'" ) or error( mysql_error() );
	$user = mysql_fetch_array( $result2 );

	$result = mysql_query( "SELECT * FROM {$_TABLES['ad_uinfo']} WHERE uid='{$user['uid']}'" ) or error( mysql_error() );
        $userinfo = mysql_fetch_array( $result );
	{

		$ebayid = "{$userinfo['ebayid']}";
	}

//-----------------------------------------------------------------
// Define our variables
//

// Your Ebay Member Name
//$ebayid = "weebee8";


// Display Thumbnails?
$thumbs = "1";  // 1 = yes 0 = no

// Path to Footer File - blank for none
$header = "header.php";

// Path to Footer File - blank for none
$footer = "footer.php";

// Table Border Color
$table_border_color = "#FFC300";

// Table Header Row Color
$table_header_color = "#FFFFCC";

// Table Alt Color Row 1
$table_row1_color = "#FFFFFF";

// Table Alt Color Row 2
$table_row2_color = "#FFFFCC";

// Ebay uses Pacific time zone use this to add hours for your time zone
$timezone = "3";

// Display Ended Auctions (-1 = Current, 1 - 30 = Up to 30 Days in the past)
$since = "30";

//Sort By (Item Number = 1, Auction Start = 2, Auction End = 3, Current Price = 4, Newest First = 8,)
$sort = "8";

// Display how many per page - Set to a very high number like 999999 for all your listings
$limit = "15";


//-----------------------------------------------------------------
// Nothing Below Here needs editing.
//

// Start our border table
echo "
	<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
	<html>
	<head>
	<title>eBay List</title>
	</head>
	<body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#6B238E\" vlink=\"#9A51BE\" alink=\"#6B238E\">
	<div align=\"center\">
	<table width=\"600\"><tr><td>
	<TABLE border=\"0\" cellPadding=\"0\" cellSpacing=\"0\" width=\"100%\">
	<TR><TD><TABLE border=\"0\" cellPadding=\"2\" cellSpacing=\"1\" width=\"100%\">
	<TR><TD><b><h1>{$user['username']}'s eBay Items</h1></b></TD></TR></TABLE></td></tr> </table>
	<br/>
	<TABLE border=\"0\" cellPadding=\"0\" cellSpacing=\"0\" width=\"100%\">
	<TR><TD bgcolor=\"$table_border_color\"><TABLE border=\"0\" cellPadding=\"2\" cellSpacing=\"1\" width=\"100%\">
	<TR>
	<TD bgcolor=\"$table_header_color\"><strong>Item</strong></TD>
	<TD bgcolor=\"$table_header_color\"><strong>Start</strong></TD>
	<TD bgcolor=\"$table_header_color\"><strong>End</strong></TD>
	<TD bgcolor=\"$table_header_color\"><strong>Time Left</strong></TD>
	<TD bgcolor=\"$table_header_color\"><strong>Price</strong></TD>
	<TD bgcolor=\"$table_header_color\"><strong>Title</strong></TD>
	<TD bgcolor=\"$table_header_color\"><strong>High Bidder</strong></TD>
	</TR>
";


// Build the ebay url
$URL = "http://cgi6.ebay.com/ws/eBayISAPI.dll?MfcISAPICommand=ViewListedItems&userid=$ebayid&since=$since&sort=$sort&rows=0";

// Where to Start grabbing and where to End grabbing
$Start = "Click on the column headers to sort";
// $End = "</p><SCRIPT SRC=\"http://include.ebay.com/aw/pics/js/stats/ss.js\"></SCRIPT><SCRIPT SRC=\"http://include.ebay.com/aw/pics/js/stats/ss2.js\"></SCRIPT><p>" or "indicates that auction has ended.";

// Open the file
$file = fopen("$URL", "r");

// Read the file

if (!function_exists('file_get_contents')) {
     $r = fread($file, 80000);
}
else {
    $r = file_get_contents($URL);
}


// Grab just the contents we want
$stuff = eregi("$Start(.*)$End", $r, $content);

// Get rid of some rubbish we don't need.
// And set things up to be split into lines and items.

$content[1] = ereg_replace("</a><table border=\"1\" cellpadding=\"3\".*</td><br></tr>","",$content[1]);
$content[1] = ereg_replace("<tr bgcolor=\"#CCCCFF\">.*High Bidder \/ Status","",$content[1]);
$content[1] = ereg_replace("<tr bgcolor=\"#CCCCFF\">.*High Bidder \/ Status","",$content[1]);
$content[1] = str_replace("</table>", "", $content[1]);
$content[1] = str_replace("</th>", "", $content[1]);
$content[1] = str_replace("\r\n", "", $content[1]);
$content[1] = str_replace("\n", "", $content[1]);
$content[1] = str_replace("\r", "", $content[1]);
$content[1] = str_replace("<td align=\"center\">", "", $content[1]);
$content[1] = str_replace("<td>", "", $content[1]);
$content[1] = str_replace("<td align=\"right\">", "", $content[1]);
$content[1] = str_replace("<font color=\"\">", "", $content[1]);
$content[1] = str_replace("</font>", "", $content[1]);
$content[1] = str_replace("<tr bgcolor=\"#ffffff\">", "", $content[1]);
$content[1] = str_replace("<tr bgcolor=\"#efefef\">", "", $content[1]);
$content[1] = str_replace("<tr bgcolor=\"#efefef\">", "", $content[1]);
$content[1] = str_replace("</td>", "[ITEMS]", $content[1]);
$content[1] = str_replace("</tr>", "[LINES]\n", $content[1]);


// Line used during debug
// echo "<hr>$content[1]<br><br> <hr>";


// Close the file
fclose($file);

$stuff = $content[1];

// Build our first array for EOF
$items = explode("[LINES]",$stuff);

// Loop through our lines

$count = "0";

foreach ($items as $listing) {
	// Break apart each line into individual items

	list($Item,$Start,$End,$Price,$Title,$HighBidder ) = explode("[ITEMS]",$listing);

	//Use a countdown to get Time Left
	//We first need to break apart End and convert the months to numbers
	$seperate = split('[- :]', $End);

	$seperate[0] = str_replace("Jan", "1", $seperate[0]);
	$seperate[0] = str_replace("Feb", "2", $seperate[0]);
	$seperate[0] = str_replace("Mar", "3", $seperate[0]);
	$seperate[0] = str_replace("Apr", "4", $seperate[0]);
	$seperate[0] = str_replace("May", "5", $seperate[0]);
	$seperate[0] = str_replace("Jun", "6", $seperate[0]);
	$seperate[0] = str_replace("Jul", "7", $seperate[0]);
	$seperate[0] = str_replace("Aug", "8", $seperate[0]);
	$seperate[0] = str_replace("Sep", "9", $seperate[0]);
	$seperate[0] = str_replace("Oct", "10", $seperate[0]);
	$seperate[0] = str_replace("Nov", "11", $seperate[0]);
	$seperate[0] = str_replace("Dec", "12", $seperate[0]);

    	$month = $seperate[0];
    	$day = $seperate[1];
    	$year = $seperate[2];
    	$hour = $seperate[3]+$timezone;
    	$minute = $seperate[4];
	$second = $seperate[5];

	// mktime is the marked time, and time() is the current time.
	$target = mktime($hour,$minute,$second,$month,$day,$year);
	$diff = $target - time();

	$days = ($diff - ($diff % 86400)) / 86400;
	$diff = $diff - ($days * 86400);
	$hours = ($diff - ($diff % 3600)) / 3600;
	$diff = $diff - ($hours * 3600);
	$minutes = ($diff - ($diff % 60)) / 60;
	$diff = $diff - ($minutes * 60);
	$seconds = ($diff - ($diff % 1)) / 1;

	// next we put it into a presentable format
	$Time_Left =  $days . "d" . " " . $hours . "h" . " " . $minutes . "m";

	// and last we want to print auction ended when the auction has ended
	if ($seconds <= 0) {
		$TimeLeft = "Auction Ended";
		}
	else {
		$TimeLeft = $Time_Left;
		}

		// Make sure we have content to print out and print it
		if ($Start && $End && $Title && ($count < $limit)) {

			$count++;

			$colour = ( $colour == "$table_row1_color" ) ? "$table_row2_color" : "$table_row1_color";

					$line = "<TR><TD bgcolor=\"$colour\" align=\"center\">$Item</TD><TD bgcolor=\"$colour\">$Start</TD><TD bgcolor=\"$colour\">$End</TD><TD bgcolor=\"$colour\"><font color=\"#FF0000\">$TimeLeft</font></TD><TD bgcolor=\"$colour\">$Price</TD><TD bgcolor=\"$colour\">$Title</TD><TD bgcolor=\"$colour\">$HighBidder</TD></TR>\n";
                    preg_match('/item=([^"&]*)/', $line, $match);
					$itemnum=$match[1];


				// If Thumbnails are enabled show them
				 if ($thumbs == 1) {
	                echo "<TR><TD bgcolor=\"$colour\" align=\"center\"><a href=\"http://cgi.ebay.com/ws/eBayISAPI.dll?ViewItem&item=$itemnum\"><img src=\"http://thumbs.ebay.com/pict/$itemnum.jpg\"></a><br> $Item</TD><TD bgcolor=\"$colour\">$Start</TD><TD bgcolor=\"$colour\">$End</TD><TD bgcolor=\"$colour\"><font color=\"#FF0000\">$TimeLeft</font></TD><TD bgcolor=\"$colour\">$Price</TD><TD bgcolor=\"$colour\">$Title</TD><TD bgcolor=\"$colour\">$HighBidder</TD></TR>\n";
				 }

				// Otherwise just show the Bid Now link
				 else {
	                echo "<TR><TD bgcolor=\"$colour\" align=\"center\">$Item</TD><TD bgcolor=\"$colour\">$Start</TD><TD bgcolor=\"$colour\">$End</TD><TD bgcolor=\"$colour\"><font color=\"#FF0000\">$TimeLeft</font></TD><TD bgcolor=\"$colour\">$Price</TD><TD bgcolor=\"$colour\">$Title</TD><TD bgcolor=\"$colour\">$HighBidder</TD></TR>\n";
				 }



		}

	}

// Wrap up the border table
echo "</TABLE></td></tr> </table>";

// Include the footer
include("$footer");

echo COM_siteFooter(true);

echo $display;
?>




