<?php
########################################## 
# php eBay List (Beta) 
# Please submit bugs to chris@aeoninteractive.com
# --------------------------------------------------                  
# Grab and Display your eBay auctions on your web site
# http://www.aeoninteractive.net
# --------------------------------------------------                 
# Written by: Chrispian H. Burks
# email: chris@aeoninteractive.com                                       
# website: http://www.aeoninteractive.net                                  
# --------------------------------------------------                  
# This software is linkware! Please leave the link back 
# to Aeon Interactive. Feel free to modify this script. 
# If you do, send it to me and I'll include any cool 
# mods in the next release.
# --------------------------------------------------                  
# Install: Define your variables. Upload. Done.
########################################## 

//-----------------------------------------------------------------
// Define our variables
//

// Your Ebay Member Name 
$ebayid = "weebee8";

// Display Thumbnails?
$thumbs = "1";  // 1 = yes 0 = no

// Path to Footer File
$header = "header.php"; 	

// Path to Footer File
$footer = "footer.php"; 	

// Table Border Color
$table_border_color = "#FFC300";

// Table Header Row Color
$table_header_color = "#FFFFCC";

// Table Alt Color Row 1
$table_row1_color = "#FFFFFF";

// Table Alt Color Row 2
$table_row2_color = "#FFFFCC";



//-----------------------------------------------------------------
// Nothing Below Here needs editing.
//

// Include the header
include("$header");

// Start our border table
echo "	
	<TABLE border=\"0\" cellPadding=\"0\" cellSpacing=\"0\" width=\"100%\">
	<TR><TD bgcolor=\"$table_border_color\"><TABLE border=\"0\" cellPadding=\"2\" cellSpacing=\"1\" width=\"100%\">
	<TR>
	<TD bgcolor=\"$table_header_color\"><strong>Item</strong></TD>
	<TD bgcolor=\"$table_header_color\"><strong>Start</strong></TD>
	<TD bgcolor=\"$table_header_color\"><strong>End</strong></TD>
	<TD bgcolor=\"$table_header_color\"><strong>Price</strong></TD>
	<TD bgcolor=\"$table_header_color\"><strong>Title</strong></TD>
	<TD bgcolor=\"$table_header_color\"><strong>High Bidder</strong></TD>
	</TR>	
";

// Build the ebay url	
$URL = "http://members.ebay.com/aboutme/$ebayid"; 


// Where to Start grabbing and where to End grabbing
$Start = " <!-- Items for sale --> ";
$End = " <!-- Feedback graphic -->";

// Open the file
$file = fopen("$URL", "r");
// Read the file
$r = fread($file, 80000);
// Grab just the contents we want
$stuff = eregi("$Start(.*)$End", $r, $content);

// Get rid of some rubbish we don't need.
$content[1] = str_replace("<br><br>", "", $content[1]);
$content[1] = str_replace("<table border=0 width=100%><tr><td bgcolor=#99CC00>", "", $content[1]);			

// Close the file
fclose($file);

$stuff = $content[1];

// Get rid of eBay's formatting and place artifacts to build our array
$stuff = str_replace("</td>", "[BREAK]</td>", $stuff);			
$stuff = str_replace("<TABLE border=\"1\">", "", $stuff);			
$stuff = str_replace("<TR>", "", $stuff);			
$stuff = str_replace("<th BGCOLOR=\"#CCCCCC\" align=center>", "", $stuff);			
$stuff = str_replace("</th>", "", $stuff);			
$stuff = str_replace("</tr></table>", "", $stuff);			
$stuff = str_replace("</TR>", "[SPLIT]", $stuff);			
$stuff = str_replace("<td>", "", $stuff);			
$stuff = str_replace("<td align=right>", "", $stuff);			
$stuff = str_replace("</td>", "", $stuff);			
$stuff = str_replace("</TABLE>", "", $stuff);			
$stuff = str_replace("ItemStartEndPriceTitleHigh Bidder", "", $stuff);			



// Build our first array for EOF
$items = explode("[SPLIT]",$stuff);

// Loop through our lines
foreach ($items as $listing) {
	
	// Break apart each line into individual items
	list($Item,$Start,$End,$Price,$Title,$HighBidder ) = explode("[BREAK]",$listing);
    	
    	// Do a little fudging to get our item number
    	$ItemNumTxt = str_replace("<a href=\"http://cgi.ebay.com/ws/eBayISAPI.dll?ViewItem&item=", "", $Item);			
	
	$ItemNumTxt = str_replace("\">", "[ITEMBREAK]", $ItemNumTxt);
	
	// Break out the Item number
	list($ItemNum,$Junk ) = explode("[ITEMBREAK]",$ItemNumTxt);			

		// Make sure we have content to print out and print it
		if ($Start && $End && $Title) {
	
			$colour = ( $colour == "$table_row1_color" ) ? "$table_row2_color" : "$table_row1_color"; 
	
				// If Thumbnails are enabled show them
				if ($thumbs == 1) {
	
					echo "<TR><TD bgcolor=\"$colour\" align=\"center\"><a href=\"http://cgi.ebay.com/ws/eBayISAPI.dll?ViewItem&item=$ItemNum&category=undefined\" target=\"_blank\"><img border=\"0\" src=\"http://thumbs.ebay.com/pict/$ItemNum.jpg\"><br>Bid Now</a></TD><TD bgcolor=\"$colour\">$Start</TD><TD bgcolor=\"$colour\">$End</TD><TD bgcolor=\"$colour\">$Price</TD><TD bgcolor=\"$colour\"><a href=\"http://cgi.ebay.com/ws/eBayISAPI.dll?ViewItem&item=$ItemNum&category=undefined\" target=\"_blank\">$Title</a></TD><TD bgcolor=\"$colour\">$HighBidder</TD></TR>\n";
	
				}
	
				// Otherwise just show the Bid Now link
				else {
	
					echo "<TR><TD bgcolor=\"$colour\" align=\"center\"><a href=\"http://cgi.ebay.com/ws/eBayISAPI.dll?ViewItem&item=$ItemNum&category=undefined\" target=\"_blank\">Bid Now</a></TD><TD bgcolor=\"$colour\">$Start</TD><TD bgcolor=\"$colour\">$End</TD><TD bgcolor=\"$colour\">$Price</TD><TD bgcolor=\"$colour\"><a href=\"http://cgi.ebay.com/ws/eBayISAPI.dll?ViewItem&item=$ItemNum&category=undefined\" target=\"_blank\">$Title</a></TD><TD bgcolor=\"$colour\">$HighBidder</TD></TR>\n";
	
				}
	
		}    
	
	}

// Wrap up the border table
echo "</TABLE></td></tr> </table>";

// Include the footer
include("$footer");

?>




