<?php

// +---------------------------------------------------------------------------+
// | zClassified Ads for Geeklog                                               |
// +---------------------------------------------------------------------------+
// | admin/modify_action.php                                                   |
// | Administration page.                                                      |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// +---------------------------------------------------------------------------+
// | Replace all advt with the name of your plugin and you have a skeletal |
// | admin page.                                                               |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

require_once('../../../lib-common.php');


// Only let admin users access this page
if (!SEC_hasRights('advt.admin')) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the advt Admin page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    echo COM_siteHeader();
    echo COM_startBlock($LANG_PL00['access_denied']);
    echo $LANG_PL00['access_denied_msg'];
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
    exit;
}

/**
* Main
*/


echo COM_siteHeader();

	if( isset( $action ) )
	{
		if( $action == "addcat" )
		{
			$catname = trim( $catname );
			if( $catname == "" )
				{
    echo COM_startBlock($LANG_ADVT['error']);
    echo $LANG_ADVT[please_enter_cat];
	echo "<br>";
    echo "<a href=\"javascript:history.back()\"><b>$LANG_ADVT[back]</b></a>";
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
	exit;
			}

			$time = time();
			if( !isset( $catid ) )
			{
				DB_query( "INSERT INTO {$_TABLES['ad_category']} ( cat_name, add_date, name00, name01, name02, name03, name04, enable00, enable01, enable02, enable03, enable04 ) VALUES ( '$catname', $time, '$name00', '$name01', '$name02', '$name03', '$name04', '$enable00', '$enable01', '$enable02', '$enable03', '$enable04')" ) or error( mysql_error() );

			echo "<p align=\"center\"><b>$LANG_ADVT[thank_you_add]</b></p>\n";
			echo COM_refresh($_CONF['site_admin_url'] . "/plugins/advt/modify.php");
			echo "<p align=\"center\"><b>$LANG_ADVT[going_back]</b></p>\n";
			echo "<p align=\"center\"><a href=\"modify.php\"><b>$LANG_ADVT[pls_click_no_wait]</b></a></p>\n";

			}
			else
			{
				DB_query( "INSERT INTO {$_TABLES['ad_category']} ( papa_id, cat_name, add_date, name00, name01, name02, name03, name04, enable00, enable01, enable02, enable03, enable04) VALUES ( $catid, '$catname', $time, '$name00', '$name01', '$name02', '$name03', '$name04', '$enable00', '$enable01', '$enable02', '$enable03', '$enable04')" ) or error( mysql_error() );

                        echo "<p align=\"center\"><b>$LANG_ADVT[thank_you_add]</b></p>\n";
						echo COM_refresh($_CONF['site_admin_url'] . "/plugins/advt/modify.php");
						echo "<p align=\"center\"><b>$LANG_ADVT[going_back]</b></p>\n";
						echo "<p align=\"center\"><a href=\"modify.php\"><b>$LANG_ADVT[pls_click_no_wait]</b></a></p>\n";
			}
		}
		elseif( $action == "delcat" )
		{
			if( count( $c) != 0 )
			{
				for( $i = 0; $i < count( $c ); $i++ )
					delcat( $c[ $i ] );
			}
//			if( isset( $catid ) )

                        echo "<p align=\"center\"><b>$LANG_ADVT[thank_you_del]</b></p>\n";
						echo COM_refresh($_CONF['site_admin_url'] . "/plugins/advt/modify.php");
						echo "<p align=\"center\"><b>$LANG_ADVT[going_back]</b></p>\n";
						echo "<p align=\"center\"><a href=\"modify.php\"><b>$LANG_ADVT[pls_click_no_wait]</b></a></p>\n";


//			else header( "Location: ./modify.php" );
		}
		elseif( $action == "delad" )
		{
			if( count( $c ) == 0 ) header( "Location: ./modify.php?cat=$catid" );
			for( $i = 0; $i < count( $c ); $i++ )
				delad( $c[ $i ] );
//			header( "Location: ./modify.php?cat=$catid" );
                        echo "<p align=\"center\"><b>$LANG_ADVT[thank_you_ad_del]</b></p>\n";
						echo COM_refresh($_CONF['site_admin_url'] . "/plugins/advt/modify.php");
						echo "<p align=\"center\"><b>$LANG_ADVT[going_back]</b></p>\n";
                        echo "<p align=\"center\"><a href=\"modify.php?cat=$catid\"><b>$LANG_ADVT[click_no_wait]</b></a></p>\n";

		}
	}

	function delcat( $id )
	{
		global $_TABLES;
		$result = DB_query( "SELECT root_id FROM {$_TABLES['ad_category']} WHERE papa_id=$id" ) or error( mysql_error() );
		DB_query( "DELETE FROM {$_TABLES['ad_category']} WHERE root_id=$id" ) or error( mysql_error() );
		if( mysql_num_rows( $result ) == 0 )
		{
			$result2 = DB_query( "SELECT ad_id FROM {$_TABLES['ad_ads']} WHERE cat_id=$id" ) or error( mysql_error() );
			while( $row2 = mysql_fetch_array( $result2 ) )
				delad( $row2['ad_id'] );
		}
		else
		{
			while( $row = mysql_fetch_array( $result ) )
				delcat( $row['root_id'] );
		}
	}
	function delad( $id )
	{
		global $IMAGE_DIR, $_TABLES;
		DB_query( "DELETE FROM {$_TABLES['ad_ads']} WHERE ad_id=$id" ) or error( mysql_error() );
		$result = DB_query( "SELECT photo_id FROM {$_TABLES['ad_photo']} WHERE ad_id=$id" ) or error( mysql_error() );
		while( $row = mysql_fetch_array( $result ) )
		{
			if( file_exists( "{$IMAGE_DIR}/{$row['photo_id']}.jpg" ) )
				unlink( "{$IMAGE_DIR}/{$row['photo_id']}.jpg" );
			if( file_exists( "{$IMAGE_DIR}/thumb/{$row['photo_id']}.jpg" ) )
				unlink( "{$IMAGE_DIR}/thumb/{$row['photo_id']}.jpg" );
		}
		DB_query( "DELETE FROM {$_TABLES['ad_photo']} WHERE ad_id=$id" ) or error( mysql_error() );
	}

echo COM_siteFooter(true);

?>