<?php

// +---------------------------------------------------------------------------+
// | english.php                                                               |
// | This is the English language page for the zClassified Ads Plug-in!        |
// |                                                                           |
// +---------------------------------------------------------------------------|
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// +---------------------------------------------------------------------------|
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software               |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA|
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Array Format:                                                             |
// | $LANGXX[YY]:	$LANG - variable name                                      |
// |	  	XX - file id number                                                |
// |		YY - phrase id number                                              |
// +---------------------------------------------------------------------------+

/**
* Generic Install language
*
* Be sure and change the name of this array to match your plugin
* e.g. $LANG_ST00
*
*/

$LANG_ADVT = array (
    	plugin            => 'Plugin',
	access_denied     => 'Access Denied',
	access_denied_msg => 'zClassifieds is only available to registered membeers. Please log in.',
	admin		  => 'zClassified Ads Admin',
	install_header	  => 'Install/Uninstall Plugin',
	installed         => 'The Plugin is Installed',
	uninstalled       => 'The Plugin is Not Installed',
	install_success	  => 'Installation Successful',
	install_failed	  => 'Installation Failed -- See your error log to find out why.',
	uninstall_msg	  => 'Plugin Successfully Uninstalled',
	install           => 'Install',
	uninstall         => 'UnInstall',
    	warning           => 'Warning! Plugin is still Enabled',
    	enabled           => 'Disable plugin before uninstalling.',
    	readme            => 'STOP! Before you press install please read the ',
    	installdoc        => 'Install Document',
        newpage 	  => 'New Page',
        adminhome 	  => 'Admin Home',
        classifieds 	  => 'zClassifieds',
        menuitem 	  => 'zClassified Ads',
        blocktitle 	  => 'Classified Ads', 







    image_max				=> '500k max JPEG only',
	thumb_max				=> '10k max JPEG only',
	'#'               => '#',
    added             => 'Added&nbsp; ',
    added_col             => 'Added:&nbsp; ',
	add_cat				=> 'Add Category',
    added_on          => 'Added on',
	ad_duration			=> 'Ad Duration',
    added_success     => 'Congratulations! This category has been added to you list successfully.',
    already_exists    => 'Sorry, this category already exists in your list.',
    are_you_sure      => 'Are you sure to add this category to your auto-notify list?',
    ask_question      => 'Ask Question',
    ask_your_question => 'Ask Your Question',
    auto_nofify_allows => 'Auto-nofify allows you to get noticed by e-mail whenever there is a ad lists to the categories you have signed up.',
    auto_notify       => 'Auto Notify',
   	account_help      => 'Account Help',
	account_info      => 'Account Information',
	account_info_2    => ' :: Account Information',
	account_overview  => 'Account Overview',
	action            => 'Action',
	add               => ' | Add ',
	address				=> 'Address',
	ads_edit          => 'To edit your ads click on <b>Ads Management</b> above.',
	ads_mgnt          => 'Ads Management',
	ads_mgnt_2			=> ' :: Ads Management',
	already_expired   => 'Already Expired',
	auto_notify_list  => 'Auto-notify Category List',
	ads_listed			=> ' ads currently listed. To edit your ads click ',
	addit_info			=> 'Additional Information',
	ads_submission		=> 'Ads Submission',
	approval			=> 'Approval Status',
	approve				=> 'Approve The Ad',
	ads_waiting			=> ' ads currently waiting for approval. To manage the ads click ',

	back              => 'Back',
    back_to_ad        => 'Back to Ad',
	back_to_admin		=> 'Back to Admin',
    
    categories_ads		=> 'Categories / Ads Management',
	clear				=> 'Clear',
	city              => 'City',
    click_to_enlarge  => 'Click to enlarge',
    contact           => 'Contact',
    contact_info      => 'Contact Information',
	cancel            => 'Cancel',
	category          => 'Category',
	current_info      => 'Current Information',
	
	define_fields		=> 'Define additional fields for this category:',
	description       => 'Description',
    detail            => 'Detail',
    diff_cat          => 'If you want a different category, please go to a corresponding category and click <b>Auto Notify</b>.',
	days              => ' days',
	delete            => 'Delete',
	del_sel_ads			=> 'Delete Selected Ads',
	del_sel_cat			=> 'Delete Selected Categories',
	desc              => 'Description',
	descr_required    => 'Description required',
	disabled			=> 'Disabled',
	
	email             => 'E-mail:',
    email_required    => 'E-mail required',
	enter_cat			=> 'Enter Category: ',
    expires           => 'Expires&nbsp;',
    expires_col           => 'Expires:&nbsp;',
	edit              => 'Edit',
	email_acc_id        => 'E-mail / Account ID',
	error				=> 'Error',
	expiration_date   => 'Expiration Date',
	expired           => 'Expired',
	expired_ads       => ' ads have already expired!',
	ebay_expl			=> 'If you have ebay listings you can enter your ebay ID below and people will be able to view your listings when they click on your Details.',
	ebay_id				=> 'ebay ID',
	enabled				=> 'Enabled',
	
	fax               => 'Fax',
    found             => 'Found ',
	listings			=> ' listings, now displaying ',
	fields_hint			=> '<b>Hint:</b> Replace <b>N/A</b> with e.g. Price, Age, and tick the box to enable the field.',

    
	go                => 'Go',
	going_back			=> 'Going back to Categories/Ads Management',
    
	help              => 'Help',
    hint              => '<b>Hint:</b> You can always remove auto-notify feature form your account.',
    home              => 'zClassified Home',
	here				=> 'here',
    
	invalid_email     => 'Invalid e-mail, please check your spelling',
	info_change       => 'To change your personal information click on <b>Account Information</b> above.',
	invalid_image_size => 'Invalid image size',
	invalid_image_type => 'Invalid image type',
	invalid_thumb_size => 'Invalid thumb size',
	invalid_thumb_type => 'Invalid thumb type',
	invalid_url       => 'Invalid URL',
	image				=> 'Image',
	
	list_an_ad        => 'List an Ad',
	last_update       => 'Last update:',
    last_updated       => 'Last updated',
	logout            => 'Logout',
	logout_success    => 'You have logout successfully!',

	matches_keyword		=> ' matches keyword ',
	more				=> 'More...',
	more_info_pls     => 'Please enter more information',
    multi_cat         => 'You can sign up for multiple categories.',
	member_since      => 'Member since:',
	my_account        => 'My Account',
	my_ebay_listings  => 'My Ebay Listings',
	myebay				=> 'MyEbay',
	
	name_required     => 'Name required',
    next              => 'Next',
    no                => 'No',
    no_ads_listed_rec     => 'No ads currently listed',
    no_ads_listed_cat	=> 'No ads currently listed in this category',
	no_cat_found		=> 'No Category Found',
//    no_image          => 'Sorry,<br> image<br> not<br> available',
    no_image          => 'Image<br> not<br> available',
    no_match_found    => 'No Match Found',
	name              => 'Name',
	new_info          => 'New Information',
	no_ads_listed     => 'No ads currently listed in your account',
	no_of_ads         => ' ads currently listed, to edit your ads click <a href=account.php?page=manage><b>here</b></a>.',
	no_permission     => 'Sorry, you do not have permission to perform this action!',
	none              => 'none',

	or_go_to		=> 'or go to ',
	optional		=> '(optional)',
	
	photo             => 'Photo',
	photo_thumb			=> ' Photo | Thumbnail ',
    please_visit_us   => 'Please visit us',
	please_enter_cat	=> 'Please enter category name',
	pls_click_no_wait	=> 'Please click here if you don\'t want to wait',
	please_adds_cat		=> 'Please click here to go back to Categories / Ads Management',
	please_keywords		=> 'Please enter your keywords',
	please_update		=> 'Please Update Your Information',
	postal				=> 'Postal/ZIP Code',
	powered				=> 'Powered by zClassified',
    previous          => 'Previous',
	pls_auto_notify       => 'Please go to a corresponding category and select <b>Auto Notify</b>',
	public_contact_info      => 'Below is the Contact Information people will see about your ad.  This information can be different than site Account Information',
	
	question_msg      => 'Hello, $who!\n\nYou have a question regarding your ad #{$de} from $name:',
    question_required => 'Question required',
    question_sent     => 'Your question has been sent.',
    question_subject  => 'You have a question regarding your ad #{$de}',
    
	recent_listed     => 'Recent Listed',
	recent_added      => 'Recent Added',
	remove            => 'Remove',
	reset             => 'Reset',
	
	search            => 'Search',
	sample_data			=> 'Sample data has been created, click <a href=index.php>here</font></a>',
    search_result     => 'Search Result',
    send_question     => 'Send Your Question',
    state             => 'State',
    subject           => 'Subject',
	state             => 'State',
	submit           => 'Submit',
	subject_required  => 'Subject required',
	
	tel               => 'Tel',
	telephone          => 'Telephone',
	thank_you_add		=> 'Thank you, new category has been added successfully!',
	thank_you_del		=> 'Thank you, the category has been deleted successfully!',
    thank_you_ad_add	=> 'Thank you, your ad has been listed successfully!',
	thank_you_ad_del	=> 'Thank you, the ad has been deleted successfully!',
	thumbnail			=> 'Thumbnail',
    thumb				=> 'Thumb',

	update_account    => 'Update Account',
	update_info       => 'Update Information',
	update_msg        => 'Your information has been updated',

	views             => 'Views:&nbsp;',
    
	website           => 'Web Site',
	welcome           => 'Welcome, ',
	whats_auto_notify  => 'What\'s auto-notify?',
    whats_hot         => 'What\'s Hot',
	warning				=> 'Warning: ',
	waiting_approval	=> 'Ad On Hold',
    
	yes               => 'Yes',
	you_have          => 'You have ',
	your_name         => 'Your Name:',
	sample_db			=> 'Create A Sample Database',
	mail_users			=> 'Mail Users',


    hello			=> 'Hello ',
	this_is			=> ' this is a new ad from ',
	or_click		=> ' or click here to see more ',
	details			=> 'details',
	please_click	=> 'Please click ',
	to_view_ad		=> ' to view this ad.',
	new_ad_notice	=> 'New Ad Notice ',
	new_ad_listing	=> 'New ad listing from ',
	hello_admin		=> 'Hello Admin, there is a new ad on ',
	here_is_ad		=> 'Here is the ad: ',
	visit_homepage	=> 'Visit homepage ',
	new_ad_notice	=> 'New Ad Notice ',
	you_have_new_ad	=> 'You have a new ad on ',
	pls_view_ads	=> 'Please click here to view your ads ',
	more_from		=> 'More from ',
	edit_sel_cat	=> 'Edit Selected Category',
	user_profile	=> 'User Profile',

);

?>