<?php

// +---------------------------------------------------------------------------+
// |zClassified Ads for Geeklog                                                |
// +---------------------------------------------------------------------------+
// | list.php                                                                 |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

require_once('../lib-common.php');
require($_CONF['path'] . 'plugins/advt/config.php');

// Check user has rights to access this page
if (!SEC_hasRights('advt.edit','OR')) {
//if (!SEC_hasRights('advt.admin','OR')) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the advt page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    echo COM_siteHeader();
    echo COM_startBlock($LANG_ADVT['access_denied']);
    echo $LANG_ADVT['access_denied_msg'];
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
    exit;
}

/*
* Main Function
*/
echo COM_siteHeader();
// your code goes here

	if( !isset( $cat ) ) error( "Invalid 'list.php' page call" );
	$result = DB_query( "SELECT uid FROM {$_TABLES['users']} WHERE uid='{$_USER['uid']}'" ) or error( mysql_error() );
	$user = DB_fetchArray( $result );
	if( isset( $action ) && isset( $cat ) )
	{
		if( $action == "list" )
		{
			$subject = trim( $subject );
			$descript = trim( $descript );
			$url = trim( $url );
			if( $subject == "" )
			{
    echo COM_startBlock($LANG_ADVT['error']);
    echo $LANG_ADVT[subject_required];
	echo "<br>";
    echo "<a href=\"javascript:history.back()\"><b>$LANG_ADVT[back]</b></a>";
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
	exit;
			}
			if( $descript == "" )
				{
    echo COM_startBlock($LANG_ADVT['error']);
    echo $LANG_ADVT[descr_required];
	echo "<br>";
    echo "<a href=\"javascript:history.back()\"><b>$LANG_ADVT[back]</b></a>";
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
	exit;
			}
			if( $url == "http://" || $url == "" )
				$url = "";
			else
				if( !eregi( "^http://[_a-z0-9-]+\\.[_a-z0-9-]+", $url ) )
{
    echo COM_startBlock($LANG_ADVT['error']);
    echo $LANG_ADVT[invalid_url];
	echo "<br>";
    echo "<a href=\"javascript:history.back()\"><b>$LANG_ADVT[back]</b></a>";
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
	exit;
			}
//			error( "Invalid URL" );
			if( $days == 0 )
				{
    echo COM_startBlock($LANG_ADVT['error']);
    echo $LANG_ADVT[please_exp_date];
	echo "<br>";
    echo "<a href=\"javascript:history.back()\"><b>$LANG_ADVT[back]</b></a>";
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
	exit;
			}
//error( "Please select an expiration date" );

			for( $i = 0; $i < count( $photo ); $i++ )
			{
				if( $photo[ $i ] != "" && $photo[ $i ] != "none" )
				{
// Changed by Ron 10-16-2003
					if( $photo_size[ $i ] > 500000 )
					{
//error message due to incorrect image size
			{
    echo COM_startBlock($LANG_ADVT['error']);
    echo $LANG_ADVT[invalid_image_size];
	echo "<br>";
    echo "<a href=\"javascript:history.back()\"><b>$LANG_ADVT[back]</b></a>";
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
	exit;
			}
					}

					if( $photo_type[ $i ] == "image/pjpeg" || $photo_type[ $i ] == "image/jpeg" )
						{
						$newphoto[] = $photo[ $i ];
						}
						else
						{
//error message due to incorrect image size
			{
    echo COM_startBlock($LANG_ADVT['error']);
    echo $LANG_ADVT[invalid_image_type];
	echo "<br>";
    echo "<a href=\"javascript:history.back()\"><b>$LANG_ADVT[back]</b></a>";
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
	exit;
			}
			}
				}

				if( $thumb[ $i ] != "" && $thumb[ $i ] != "none" )
				{
					if( $thumb_size[ $i ] > 10000 )
					{
//error message due to incorrect image format
			{
    echo COM_startBlock($LANG_ADVT['error']);
    echo $LANG_ADVT[invalid_thumb_size];
	echo "<br>";
    echo "<a href=\"javascript:history.back()\"><b>$LANG_ADVT[back]</b></a>";
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
	exit;
			}
//error message due to incorrect thumb size
					}

					if( $thumb_type[ $i ] == "image/pjpeg" || $thumb_type[ $i ] == "image/jpeg" )
						{
						$newthumb[] = $thumb[ $i ];
						}
						else
						{
//error message due to incorrect thumb format
			{
    echo COM_startBlock($LANG_ADVT['error']);
    echo $LANG_ADVT[invalid_thumb_type];
	echo "<br>";
    echo "<a href=\"javascript:history.back()\"><b>$LANG_ADVT[back]</b></a>";
    echo COM_endBlock();
    echo COM_siteFooter(true);
    echo $display;
	exit;
			}
//error message due to incorrect thumb format
	
						}
				}
// End of changed
			}
			$time = time();
			$exptime = $time + $days * 3600 * 24;
if ($_CONF_ADVT['$submission'] == 0 )
			{
			DB_query( "INSERT INTO {$_TABLES['ad_ads']} ( cat_id, uid, subject, descript, url, add_date, exp_date, value00, value01, value02, value03, value04, approved ) VALUES ( $cat, '$uid', '$subject', '$descript', '$url', $time, $exptime, '$value00', '$value01', '$value02', '$value03', '$value04' , '1' )" ) or error( mysql_error() );
			}
			else
			{
				DB_query( "INSERT INTO {$_TABLES['ad_ads']} ( cat_id, uid, subject, descript, url, add_date, exp_date, value00, value01, value02, value03, value04 ) VALUES ( $cat, '$uid', '$subject', '$descript', '$url', $time, $exptime, '$value00', '$value01', '$value02', '$value03', '$value04'  )" ) or error( mysql_error() );
			}
			$newid = mysql_insert_id();
			for( $i = 0; $i < count( $newphoto ); $i++ )
			{

				if(( $thumb_size[ $i ] > 10000 ) || ($photo_size[ $i ] > 300000 ))
				{
				echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"0; URL=account.php?page=manage\"> \n";
				}
				else
				{
				DB_query( "INSERT INTO {$_TABLES['ad_photo']} ( ad_id ) VALUES ( $newid )" ) or error( mysql_error() );
				$photoid = mysql_insert_id();
				copy( $newphoto[ $i ], "{$ADVT_PATH}/images/{$photoid}.jpg" );
				if ($_CONF_ADVT['$autothumbnail'] == 1 )
					{
					makeThumb( $newphoto[ $i ], "{$ADVT_PATH}/images/thumb/{$photoid}.jpg" );
					unlink( $newphoto[ $i ] );
					}
					else
					{
				copy( $newthumb[ $i ], "{$ADVT_PATH}/images/thumb/{$photoid}.jpg" );
					}
				}
			}
			$notice = @DB_query( "SELECT uid FROM {$_TABLES['ad_notice']} WHERE cat_id=$cat" );
			while( $row = DB_fetchArray( $notice ) )
			{
				$result = DB_query( "SELECT username FROM {$_TABLES['users']} WHERE uid='{$row['uid']}'" );
				$name = DB_fetchArray( $result );
				$message = "<pre>{$LANG_ADVT['hello']} {$name['username']}, {$LANG_ADVT['this_is']} {$_CONF['site_name']}\n\n";
				$message .= "{$LANG_ADVT['category']} " . displayLocationNoLink( $cat ) . "\n\n";
				$message .= "$subject\n\n";
				$message .= "$descript\n\n";
                                $message .= "{$LANG_ADVT['or_click']} <a href=\"{$_CONF['site_url']}/advt/detail.php?cat=$cat&de=$newid\">{$LANG_ADVT['details']}</a>\n\n";
				$message .= "{$_CONF['site_name']}\n";
                                $message .= "{$LANG_ADVT[please_click]} <a href=\"{$_CONF['site_url']}/advt/index.php\"> 				{$LANG_ADVT['to_view_ad']}</a></pre>";
				sentMail( "{$LANG_ADVT['new_ad_notice']} {$_CONF['site_mail']}", $row['email'], "{$LANG_ADVT['new_ad_listing']} {$_CONF['site_name']}", $message );
			}
			$message = "<pre>{$LANG_ADVT['hello_admin']} {$_CONF['site_name']}. \n\n";
			$message .= "{$LANG_ADVT['here_is_ad']}\n\n";
			$message .= "$subject\n\n";
			$message .= "$descript\n\n";
                        $message .= "{$LANG_ADVT['or_click']} <a href=\"{$_CONF['site_url']}/advt/detail.php?cat=$cat&de=$newid\">{$LANG_ADVT['details']}</a>\n\n";
			$message .= "________________________________________________\n";
			$message .= "{$LANG_ADVT['visit_homepage']} <a href=\"{$_CONF['site_url']}/advt/index.php\">{$_CONF['site_name']}</a></pre>";

			sentMail( "{$LANG_ADVT['new_ad_notice']} <$email>", $_CONF['site_mail'], "{$LANG_ADVT['you_have_new_ad']} {$_CONF['site_name']}", $message );

			echo "<p align=\"center\"><b>$LANG_ADVT[thank_you_ad_add]</b></p>\n";
			echo "<p align=\"center\"><a href=\"detail.php?cat=$cat&de=$newid\"><b>$LANG_ADVT[pls_view_ads]</b></a></p>\n";
			echo "<p align=\"center\"><b>$LANG_ADVT[or_go_to]<a href=\"account.php\">$LANG_ADVT[my_account]</a></b></p>\n";
		}
	}
	else
	{
		$result = DB_query( "SELECT * FROM {$_TABLES['ad_category']} WHERE root_id=$cat" ) or error( mysql_error() );

	
		if( DB_numRows( $result ) == 0 ) error( "Category doesn't exist" );
		$result = DB_query( "SELECT papa_id FROM {$_TABLES['ad_category']} WHERE papa_id=$cat" ) or error( mysql_error() );
		if( DB_numRows( $result ) >= 1 ) error( "Please select a specific category" );
		$result = DB_query( "SELECT * FROM {$_TABLES['users']} WHERE uid='{$user['uid']}'" ) or error( mysql_error() );
		$user = DB_fetchArray( $result );
		$result = DB_query( "SELECT * FROM {$_TABLES['ad_category']} WHERE root_id=$cat" ) or error( mysql_error() );
		$fields = DB_fetchArray( $result );

//Template section

$adform = new Template($_CONF['path'] . 'plugins/advt/templates');
$adform->set_file('list', 'list.thtml');
$adform->set_var('site_url',$_CONF['site_url']);
$adform->set_var('site_admin_url', $_CONF['site_admin_url']);

$adform->set_var('notify', $LANG_ADVT['auto_notify']);
$adform->set_var('my_account', $LANG_ADVT['my_account']);
$adform->set_var('list_ad', $LANG_ADVT['list_an_ad']);
$adform->set_var('category', $LANG_ADVT['category']);
$adform->set_var('cat', $cat);
$adform->set_var('cat_name', displayLocationNoLink( $cat ));
$adform->set_var('subject', $LANG_ADVT['subject']);
$adform->set_var('description', $LANG_ADVT['description']);
$adform->set_var('addit_info', $LANG_ADVT['addit_info']);
    if($fields{enable00} == 1)
				{
		$adform->set_var('field00', '<tr><td>' . $fields['name00'] . '</td><td><input type="text" name="value00" value="N/A" size="30"></td></tr>');
				}
if($fields{enable01} == 1)
				{
		$adform->set_var('field01', '<tr><td>' . $fields['name01'] . '</td><td><input type="text" name="value01" value="N/A" size="30"></td></tr>');
				}
if($fields{enable02} == 1)
				{
		$adform->set_var('field02', '<tr><td>' . $fields['name02'] . '</td><td><input type="text" name="value02" value="N/A" size="30"></td></tr>');
				}
if($fields{enable03} == 1)
				{
		$adform->set_var('field03', '<tr><td>' . $fields['name03'] . '</td><td><input type="text" name="value03" value="N/A" size="30"></td></tr>');
				}
if($fields{enable04} == 1)
				{
		$adform->set_var('field04', '<tr><td>' . $fields['name04'] . '</td><td><input type="text" name="value04" value="N/A" size="30"></td></tr>');
				}
$adform->set_var('website', $LANG_ADVT['website']);

$adform->set_var('photo', $LANG_ADVT['photo']);
$adform->set_var('optional', $LANG_ADVT['optional']);
$adform->set_var('image_max', $LANG_ADVT['image_max']);
if ($_CONF_ADVT['$autothumbnail'] == 0 )
			{
		$adform->set_var('thumbnail', $LANG_ADVT[thumbnail] . '<br><small>' . $LANG_ADVT[thumb_max] . '<br></small>');
			}

		if ($_CONF_ADVT['$imagecount'] >= 5 )
		{
		$adform->set_var ('photo05' , '<tr><td width="130" height="30"></td><td width="130" height="30"><input type="file" name="photo[]"></td>');
			if ($_CONF_ADVT['$autothumbnail'] == 0 )
			{
		$adform->set_var ('thumb05' , '<td width="130" height="30"><input type="file" name="thumb[]"></td></tr>');
			}
		}
		if ($_CONF_ADVT['$imagecount'] >= 4 )
		{
		$adform->set_var ('photo04' , '<tr><td width="130" height="30"></td><td width="130" height="30"><input type="file" name="photo[]"></td>');
			if ($_CONF_ADVT['$autothumbnail'] == 0 )
			{
		$adform->set_var ('thumb04' , '<td width="130" height="30"><input type="file" name="thumb[]"></td></tr>');
			}
		}
		if ($_CONF_ADVT['$imagecount'] >= 3 )
		{
		$adform->set_var ('photo03' , '<tr><td width="130" height="30"></td><td width="130" height="30"><input type="file" name="photo[]"></td>');
			if ($_CONF_ADVT['$autothumbnail'] == 0 )
			{
		$adform->set_var ('thumb03' , '<td width="130" height="30"><input type="file" name="thumb[]"></td></tr>');
			}
		}
		if ($_CONF_ADVT['$imagecount'] >= 2 )
		{
		$adform->set_var ('photo02' , '<tr><td width="130" height="30"></td><td width="130" height="30"><input type="file" name="photo[]"></td>');
			if ($_CONF_ADVT['$autothumbnail'] == 0 )
			{
		$adform->set_var ('thumb02' , '<td width="130" height="30"><input type="file" name="thumb[]"></td></tr>');
			}
		}
		if ($_CONF_ADVT['$imagecount'] >= 1 )
		{
		$adform->set_var ('photo01' , '<tr><td width="130" height="30"></td><td width="130" height="30"><input type="file" name="photo[]"></td>');
			if ($_CONF_ADVT['$autothumbnail'] == 0 )
			{
		$adform->set_var ('thumb01' , '<td width="130" height="30"><input type="file" name="thumb[]"></td></tr>');
			}
		}
$adform->set_var('ad_duration', $LANG_ADVT['ad_duration']);
$adform->set_var('useruid', $user['uid']);
$adform->set_var('submit', $LANG_ADVT['submit']);
$adform->set_var('clear', $LANG_ADVT['clear']);
$adform->set_var('back', $LANG_ADVT['back']);
$adform->set_var('home', $LANG_ADVT['home']);
$adform->parse('output','list');
echo $adform->finish($adform->get_var('output'));
//Template section


	}
//	function textFilter( $str )
//	{
//		$str = htmlspecialchars( $str );
//		$result = DB_query( "SELECT word FROM badwords" ) or error( mysql_error() );
//		while( $row = DB_fetchArray( $result ) )
//			$str = eregi_replace( $row['word'], "*", $str );
//		return $str;
//	}


echo COM_siteFooter(true);
?>